import { jsx } from "react/jsx-runtime";
import { Barricade as Barricade$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Barricade = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "Barricade", ...props, children: /* @__PURE__ */ jsx(Barricade$1, { weight: variant }) });
  }
);
Barricade.displayName = "Barricade";
Object.assign(Barricade, { isGdsIcon: true });
export {
  Barricade
};
